Debian Bug report logs - #283179
manpages-dev: four man pages don't mention setting errno

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Matthew Dempsky <jivera@flame.org>

Date: Sat, 27 Nov 2004 02:48:02 UTC

Severity: wishlist

Found in version 1.70-1

Fixed in version manpages/1.70-2

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Dempsky <jivera@flame.org>, Martin Schulze <joey@debian.org>:
Bug#283179; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Matthew Dempsky <jivera@flame.org>:
New Bug report received and forwarded. Copy sent to Matthew Dempsky <jivera@flame.org>, Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Dempsky <jivera@flame.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: four man pages don't mention setting errno
Date: Fri, 26 Nov 2004 20:34:39 -0600
Package: manpages-dev
Version: 1.70-1
Severity: wishlist

close(2), closedir(3), opendir(3), and readdir(3) list possible errno
values, but in their return value section they don't explicitly state
they they will set errno if an error occurs like most other manpages
seem to.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8

Versions of packages manpages-dev depends on:
ii  manpages                      1.70-1     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#283179; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 283179@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 283179@bugs.debian.org
Subject: Patch close(2), opendir(3), readdir(3), closedir(3)
Date: Sat, 18 Dec 2004 18:30:13 +0100
[Message part 1 (text/plain, inline)]
Hi,

this refers to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=283179
in which Matthew Dempsky noticed that the RETURN VALUE section didn't
mention setting of errno as it is done in other manpages.  The attached
patch fixes this.  Please apply.

Regards,

	Joey

-- 
Experience is something you don't get until just after you need it.

Please always Cc to me when replying to me on the lists.
[y (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#283179; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 283179@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 283179@bugs.debian.org
Subject: Re: Patch close(2), opendir(3), readdir(3), closedir(3)
Date: Mon, 20 Dec 2004 13:37:13 +0100 (MET)
> Hi,
> 
> this refers to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=283179
> in which Matthew Dempsky noticed that the RETURN VALUE section didn't
> mention setting of errno as it is done in other manpages.  The attached
> patch fixes this.  Please apply.

Unfortiunately, this is true of a number of manual pages.  I
fixed the ones mentioned in this report, and fixed a few 
others while I was at it.

Fixes will be in 2.01.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Please submit man page suggestions as "diff -u" patches
if possible.

Sign The Open Group "Developer Declaration of Independence"
http://www.opengroup.org/declaration/

+++ Sparen Sie mit GMX DSL +++ http://www.gmx.net/de/go/dsl
AKTION für Wechsler: DSL-Tarife ab 3,99 EUR/Monat + Startguthaben



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthew Dempsky <jivera@flame.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 283179-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 283179-close@bugs.debian.org
Subject: Bug#283179: fixed in manpages 1.70-2
Date: Wed, 22 Dec 2004 13:02:13 -0500
Source: manpages
Source-Version: 1.70-2

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_1.70-2_all.deb
  to pool/main/m/manpages/manpages-dev_1.70-2_all.deb
manpages_1.70-2.diff.gz
  to pool/main/m/manpages/manpages_1.70-2.diff.gz
manpages_1.70-2.dsc
  to pool/main/m/manpages/manpages_1.70-2.dsc
manpages_1.70-2_all.deb
  to pool/main/m/manpages/manpages_1.70-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283179@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 22 Dec 2004 18:26:11 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 1.70-2
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 88644 174175 204292 205736 210704 213538 220741 220859 222145 224953 226182 226974 229618 229865 231479 232962 236223 236884 237305 239762 242638 246668 249698 250900 251516 253515 262567 267471 268846 270817 271239 271243 276248 280520 283179 284814 284935 285852
Changes: 
 manpages (1.70-2) unstable; urgency=low
 .
   * Untypo and removed superflous newline in errno(3), also applied
     upstream
   * Formatting improvement in tzset(3), also applied upstream
   * Applied upstream patch to sigwaitinfo(2) (closes: Bug#222145)
   * Corrected output for assert(3) (closes: Bug#284814)
   * Corrected the title (closes: Bug#220741)
   * Added missing bracket to cmsg(3) (closes: Bug#237305)
   * Fixed typo in shm_open(3) (closes: Bug#271239)
   * Removed getspnam(3) from missing(7) (Bug#43210)
   * Corrected the example in printf(3) (closes: Bug#205736)
   * Fixed typo in modify_ldt(2) (closes: Bug#220859)
   * Corrected error code in swapon(2) (closes: Bug#204292)
   * Fixed spelling in ip(7) (closes: Bug#210704)
   * Applied upstream patch to fix formatting problems in netdevice(7)
     (closes: Bug#229865)
   * Corrected field order in proc(5) (closes: Bug#231479)
   * Added timer_create(2) to missing(7) (Bug#235963)
   * Corrected prototype in bind(2) (closes: Bug#239762)
   * Added documentation of ERANGE in log2(3) (closes: Bug#250900)
   * Adjusted the return value of getnameinfo(3) (closes: Bug#229618)
   * Removed unused variable in example of stdarg(3) (closes: Bug#262567)
   * Added fnmatch(3) to SEE ALSO of glob(3) (closes: Bug#226182)
   * Added field information to stat(2) (closes: Bug#249698)
   * Removed explicit mention of extern declaration in errno(3) since it's
     superseded now (closes: Bug#174175)
   * Fixed typo in __setfpucw(3) (closes: Bug#284935)
   * Added fcntl.h to shm_open(3) (closes: Bug#271243)
   * Adjustments for clearer documentation in sendfile(2) (closes: Bug#88644)
   * Added _GNU_SOURCE to strfry(3) (closes: Bug#213538)
   * Applied correction to fcntl(2) (closes: Bug#280520)
   * Added note about range of seconds in strftime(3) (closes: Bug#276248)
   * Corrected tangent reduction to sine and cosine in ctan(3) and ctanh(3)
     (closes: Bug#270817)
   * Added rpmatch(3) to missing(7) (Bug#268121)
   * Adjusted default path for TZDIR in tzselect(8) (closes: Bug#267471)
   * Replaced selection(1) by gpm(8) in vcs(4) (closes: Bug#253515)
   * Adjusted the title of send(2) to what the OpenGroup has (closes: Bug#251516)
   * Added _GNU_SOURCE to function definition of strtod(3) (closes: Bug#246668)
   * Added _XOPEN_SOURCE to function definition of system(3) (closes: Bug#242638)
   * Removed dangling reference to non-existing newctime(3) in ctime(3)
     (closes: Bug#236884)
   * Same for zdump(8), tzselect(8) and zic(8) but they are not distributed
   * Added reference to SUSv3 in strcasecmp(3) (Bug#234443)
   * Fixed copy-and-paste bug in sysconf(3) (closes: Bug#226974)
   * Corrected the section of aio_error in aio_return(3) (closes: Bug#224953)
   * Added sync(8) back (closes: Bug#236223)
   * Added cap_set_proc(3)/cap_get_proc(3), capsetp(3)/capgetp(3) to
     missing(7) (Bug#208856)
   * Added pty(4) to missing(7) (Bug#209323)
   * Added re_format(7) as alias for regexp(7) (closes: Bug#232962)
   * Added refernce to errno to close(2), opendir(3), readdir(3),
     closedir(3) (closes: Bug#283179)
   * Added preliminary more verbose explanation about uid/euid and gid/egid
     to getuid(2) and getgid(2) (closes: Bug#285852)
   * Added a potentially Debian-only note to nsswitch.conf(5) (closes: Bug#268846)
Files: 
 4b0d41cb3b9e382fefd3b78210f78888 583 doc - manpages_1.70-2.dsc
 2405d770c4b595c0b3fab1f154eb2974 51072 doc - manpages_1.70-2.diff.gz
 9205a606025033b413cafe62416fab3b 390012 doc important manpages_1.70-2_all.deb
 661dd868c2bbd14aec3e94945d91cc9a 1073464 doc standard manpages-dev_1.70-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBybWYW5ql+IAeqTIRAvaRAJ9Aqin4SA16WxHLgim3OPcIK5+RswCfQMwU
ecwSyhdIdk3DlrISPd2hfBA=
=T8lO
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:14:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.